<?php
/**
 * This is the entrypoint for the locrMAPS WordPress plugin.
 *
 * @package locrMAPS
 */

declare(strict_types=1);

namespace Locr\WordPress\Plugin\LocrMaps\DDD\ValueObjects\IconOptions;

use Locr\WordPress\Plugin\LocrMaps\Plugin;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * This class is responsible for the icon name.
 */
final class IconName implements \Stringable {
	public const ATTRIBUTE_KEY = 'icon-name';
	public const DEFAULT_VALUE = 'pin1';
	public const OPTION_KEY    = Plugin::SLUG . '_icon_name';

	/**
	 * The constructor.
	 *
	 * @param string $icon_name The access key.
	 */
	public function __construct( private string $icon_name = self::DEFAULT_VALUE ) {
		if ( empty( $icon_name ) ) {
			$this->icon_name = self::DEFAULT_VALUE;
		}
	}

	/**
	 * The magick getter.
	 */
	public function __toString(): string {
		return $this->icon_name;
	}
}
