<?php
/**
 * This is the entrypoint for the locrMAPS WordPress plugin.
 *
 * @package locrMAPS
 */

declare(strict_types=1);

namespace Locr\WordPress\Plugin\LocrMaps\Frontend;

use Locr\WordPress\Plugin\LocrMaps\Plugin;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * This class is responsible for the style.
 */
final class Style {
	/**
	 * This is the constructor of the Style class.
	 */
	public static function init(): void {
		if ( ! is_admin() ) {
			add_action( 'wp_enqueue_scripts', array( self::class, 'enqueue_leaflet_styles' ) );
		}
	}

	/**
	 * This function enqueues the styles for the leaflet.
	 */
	public static function enqueue_leaflet_styles(): void {
		wp_enqueue_style(
			handle: 'leaflet-css',
			src: 'https://unpkg.com/leaflet@' . Plugin::LEAFLET_VERSION . '/dist/leaflet.css',
			ver: Plugin::LEAFLET_VERSION
		);
		/**
		 * Disabled the integrated search, until the search is implemented!
		 *
		 * Foo: wp_enqueue_style( handle: 'leaflet-control-geocoder', src: 'https://unpkg.com/leaflet-control-geocoder/dist/Control.Geocoder.css', ver: 'latest' );
		 */
	}
}
